> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statisticsheatmap

> Get heatmap data for activity patterns



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /statistics/heatmap
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /statistics/heatmap:
    get:
      tags:
        - Statistics
      description: Get heatmap data for activity patterns
      operationId: GetHeatmapData
      parameters:
        - description: >-
            - Type of heatmap data (BUSIEST_HOURS_PER_WEEKDAY,
            BUSIEST_COMMENTS_PER_WEEKDAY)
          in: query
          name: chartType
          required: true
          schema:
            $ref: '#/components/schemas/HeatmapTypes'
        - description: '- Timezone for date calculations'
          in: query
          name: timezone
          required: false
          schema:
            type: string
        - in: query
          name: groupInterval
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
        - in: query
          name: skip
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: groupedBy
          required: false
          schema:
            type: string
        - in: query
          name: aggsType
          required: false
          schema:
            type: string
        - description: '- Start date for filtering (ISO format)'
          in: query
          name: startDate
          required: false
          schema:
            type: string
        - description: '- End date for filtering (ISO format)'
          in: query
          name: endDate
          required: false
          schema:
            type: string
        - in: query
          name: createdAt
          required: false
          schema:
            type: string
        - in: query
          name: updatedAt
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    HeatmapTypes:
      enum:
        - BUSIEST_HOURS_PER_WEEKDAY
        - BUSIEST_COMMENTS_PER_WEEKDAY
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````